import { useEffect, useState } from 'react';
var useGetBlobAsVideoSrcEffect = function useGetBlobAsVideoSrcEffect(_ref) {
  var src = _ref.src,
    videoNode = _ref.videoNode;
  var _useState = useState(typeof src === 'string' ? src : null),
    videoSrc = _useState[0],
    setVideoSrc = _useState[1];
  useEffect(function () {
    if (videoSrc !== null) return;
    var reader = new FileReader();
    reader.onload = function (e) {
      var _videoNode$current;
      setVideoSrc(e.target.result);
      (_videoNode$current = videoNode.current) == null ? void 0 : _videoNode$current.load();
    };
    reader.readAsDataURL(src);
  }, [src, videoNode, videoSrc]);
  return videoSrc;
};
export default useGetBlobAsVideoSrcEffect;