var useGetSrcWithMediaFragments = function useGetSrcWithMediaFragments(_ref) {
  var videoSrc = _ref.videoSrc,
    timeOffset = _ref.timeOffset,
    timeLimit = _ref.timeLimit;
  var isEmpty = function isEmpty(param) {
    return param === undefined || param === null;
  };
  var isNotEmpty = function isNotEmpty(param) {
    return !isEmpty(param);
  };
  var timeOffsetParam = timeOffset;
  if (isEmpty(timeOffset) && isNotEmpty(timeLimit)) timeOffsetParam = '0';
  if (isNotEmpty(videoSrc)) {
    var timeLimitParam = timeLimit ? "," + timeLimit : '';
    timeOffsetParam = timeOffsetParam ? "#t=" + timeOffsetParam : '';
    return "" + videoSrc + timeOffsetParam + timeLimitParam;
  }
  return null;
};
export default useGetSrcWithMediaFragments;