import _extends from "@babel/runtime/helpers/esm/extends";
import { UNKNOWN } from '../settings/index.js';
import useDetectVideoType from './useDetectVideoType.js';
var useVideoPlayer = function useVideoPlayer(props) {
  var src = props.src;
  var _useDetectVideoType = useDetectVideoType(),
    detectVideoType = _useDetectVideoType.detectVideoType;
  var videoType = detectVideoType(src);
  if (videoType === UNKNOWN) return ['p', _extends({}, props, {
    children: 'Not supported media type'
  })];
  return [videoType.PLAYER_COMPONENT, props];
};
export default useVideoPlayer;